Package ghidra.program.model.listing

# Enum Class Function.FunctionUpdateType

java.lang.Object
java.lang.Enum<Function.FunctionUpdateType>
ghidra.program.model.listing.Function.FunctionUpdateType

All Implemented Interfaces:
  `Serializable`, `Comparable<Function.FunctionUpdateType>`, `Constable`

Enclosing interface:
  Function

public static enum Function.FunctionUpdateType extends Enum<Function.FunctionUpdateType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CUSTOM_STORAGE`
  All parameters and return have been specified with their storage.
  `DYNAMIC_STORAGE_ALL_PARAMS`
  All parameters and return have been specified without storage.
  `DYNAMIC_STORAGE_FORMAL_PARAMS`
  The formal signature parameters and return have been specified without storage.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Function.FunctionUpdateType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Function.FunctionUpdateType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CUSTOM_STORAGE

    public static final Function.FunctionUpdateType CUSTOM_STORAGE
    All parameters and return have been specified with their storage.

  - ### DYNAMIC_STORAGE_FORMAL_PARAMS

    public static final Function.FunctionUpdateType DYNAMIC_STORAGE_FORMAL_PARAMS
    The formal signature parameters and return have been specified without storage. Storage will be computed. Any use of the reserved names 'this' and '__return_storage_ptr__' will be stripped before considering the injection of these parameters.

  - ### DYNAMIC_STORAGE_ALL_PARAMS

    public static final Function.FunctionUpdateType DYNAMIC_STORAGE_ALL_PARAMS
    All parameters and return have been specified without storage. Storage will be computed. Any use of the reserved names 'this' and '__return_storage_ptr__' will be stripped before considering the injection of these parameters. In addition, if the calling convention is '__thiscall' if the 'this' parameter was not identified by name, the first parameter will be assumed the 'this' parameter if its name is a default name and it has the size of a pointer.

- ## Method Details

  - ### values

    public static Function.FunctionUpdateType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Function.FunctionUpdateType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null